<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
$sql = $db -> query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$user = $sql -> fetch_assoc();
$head = 'Анкета '.$user['login'];
$diz -> head($head);
$diz -> title('Анкета '.$user['login']);

$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$user['id']."' LIMIT 1");
if ($ban -> num_rows > 0) {
$ban = $ban -> fetch_assoc();
$msg .= '<div class="spisok">Наказан '.$func -> user($ban['yaid']).' до '.$func -> times(date('d m Y H:i:s',$ban['bantime'])).'';
if($ban['text']>''){$msg .='</br>По причине: '.$ban['text'].'';}
$msg .='</div>';
    }
$msg.='<div class="fon">';
//Личное фото
$foto = ''.ROOT.'my/photos/'.$user['id'].'.'.$user['foto'];
if (!empty($ya['foto']) && file_exists($foto)) {

$msg .= '
<img src="/system/resize.php?img='.$foto.'&width=108&height=128&i=0" alt=""/></br>';
$msg .= '[<a href="'.ROOT.'my/photos/'.$user['id'].'.'.$user['foto'].'">Скачать оригинал</a>]<br/>';
} else $msg .= $diz -> img('user.gif').'<br/>';
//Данные по сайту
$msg .= '»ID: '.$user['id'].'<br/>';
if (!empty($user['name'])) $msg .= '»Имя: '.$user['name'].' '.$user['fami'].'</br>';
$msg .='<div class="">»Должность: ';
if ($user['level'] == 7) $msg .= '<b>Создатель сайта</b></div>';
elseif($user['level'] == 6) $msg .= '<b>Ст. Админ</b></div>';
elseif($user['level'] == 5) $msg .= '<b>Админ</b></div>';
elseif($user['level'] == 4) $msg .= '<b>Ст. Модер</b></div>';
elseif($user['level'] == 3) $msg .= '<b>Модер</b></div>';
elseif($user['level'] == 2) $msg .= '<b>V.I.P</b></div>';
else $msg .= '<b>Пользователь</b><div/>';
if (!empty($user['status'])) $msg .= '<div class="">»Статус: <b>'.$user['status'].'</b></div>';
if($user['ip']!=null){
$online = $db -> query("SELECT `login` FROM `online` WHERE `login` = '".$user['login']."' LIMIT 1") -> num_rows;
if ($online > 0) {
$msg .= '»Пользователь сейчас <b>в сети</b>';
} else {
$msg .= '»Последняя активность: '.date('d.m.Y в H:i:s',$user['lasttime']).'';
}
if($user['act']=='no'){
$msg .= '<div class="">»Профиль не был одобрен администрацией</div>';
}elseif($user['act']=='yes' and $user['actid']!='0'){
$msg .= '<div class="">»Профиль одобрил '.$func->user($user['actid']).'</div>';
}
$msg .= '<div class="">»Провёл на сайте: '.$func->ontime($user['online']).'</div>';
$msg .= '<div class="">»Дата регистрации: '.$func->times(date('d m Y',$user['time'])).'</div>';
}else{
$msg.='»Пользователь ещё не заходил';
}
$msg.='</div></div>';
///Личная инфа
$msg .= '</div><div class="new">Личная информация:</div>';
$msg.= '<div class="fon">';
$sql2 = $db -> query("SELECT * FROM `nuts` WHERE `where`='ignor' and `user`='$user[id]' and `idwh`='$ya[id]' LIMIT 1");
if ($sql2 -> num_rows == 0) {
if (!empty($user['day']) || !empty($user['month']) || !empty($user['year'])) {
$msg .= '<div class="">»Дата рождения: ';
if (!empty($user['day'])) $msg .= $user['day'].' ';
if (!empty($user['month'])) $msg .= $func -> mes($user['month']).' ';
if (!empty($user['year'])) $msg .= $user['year'].' г.';
if(!empty($user['day']) and !empty($user['month']) and !empty($user['year'])){
$v=$user['day']-date("d");
$vo=$user['month']-date("m");
if($vo<=0 and $v<=0){
$voz=date("Y")-$user['year'];}
else{$voz=date("Y")-$user['year']-1;}
$msg.='</div>';
$msg.='<div class="">»Возраст: '.$voz.'</div>';}
}elseif(!empty($user['day']) or !empty($user['month']) or !empty($user['year'])){$msg.='</div>';}

if (!empty($user['gorod'])) $msg .= '<div class="">»Город: '.$user['gorod'].'</div>';
if (!empty($user['sex'])) {
if ($user['sex'] == 'm') $sex = 'Мужской'; else $sex = 'Женский';
$msg .= '<div class="">»Пол: '.$sex.'</div>';
}
if (!empty($user['do'])) $msg .= '<div class="">»Деятельность: '.$user['do'].'</div>';
if (!empty($user['interes'])) $msg .= '<div class="">»Интересы: '.$user['interes'].'</div>';
if (!empty($user['about'])) $msg .= '<div class="">»О себе: '.$user['about'].'</div>';
///Контактная инфа
$msg.='</div>';
if (!empty($user['email']) || !empty($user['number']) || !empty($user['icq'])) {
$msg .= '<div class="new">Контактная информация:</div>';
$msg.='<div class="fon">';
if (!empty($user['email'])) $msg .= '<div class="">»E-mail: '.$user['email'].'</div>';
if (!empty($user['site'])) $msg .= '<div class="">»Личный сайт: <a href="http://'.$user['site'].'">'.$user['site'].'</a></div>';
if (!empty($user['number'])) $msg .= '<div class="">»Мобильный: '.$user['number'].'</div>';
if (!empty($user['skype'])) $msg .= '<div class="">»Skype: '.$user['skype'].'</div>';
if (!empty($user['icq'])) $msg .= '<div class="">»ICQ: '.$user['icq'].' <img src="http://web.icq.com/whitepages/online?icq='.$user['icq'].'&amp;img=5" alt=""/></div>';
}
//Статистика
$msg .= '</div><div class="new">Статистика:</div>';
$msg.='<div class="fon">';
$msg .= '»Баллов: '.$user['balls'].'</br>';
$forum = $db -> dbcount('COUNT(`id`)','forum_tems',"`user` = '".$user['id']."'");
if($ya['id']==$user['id'] or $ya['level']>2)
$msg .= '»Тем на форуме: '.$forum.'</br>';
$msg .= '»Постов на форуме: '.$user['fposts'].'</br>';
$forum = $db -> dbcount('COUNT(`id`)','comes',"`where` = 'sps".$user['id']."'");
$msg .= '»Сказали спасибо: '.$forum.' раз.</br>';
$books = $db -> dbcount('COUNT(`id`)','books',"`user` = '".$user['id']."'");
$msg .= '»Статей: '.$books.'</br>';
$msg .= '»Ответов: '.$user['ym'].'</br>';
$quest = $db -> dbcount('COUNT(`id`)','guest',"`uid` = '".$user['id']."'");
$msg .= '»Сообщений в гостевой: '.$quest.'</br>';
$msg .= '»Постов в чате: '.$user['posts'].'</br>';
$u_al = $db -> dbcount('count(`id`)','albom_pav',"`user` = '".$user['id']."'");
$msg .= '»<a href="/albom/my_albom.php?id='.$user['id'].'">Фотоальбомов</a>: '.$u_al.'</br>';
$u_f = $db -> dbcount('count(`id`)','load_files',"`user` = '".$user['id']."'");
$msg .= '»<a href="/load/my_load.php?id='.$user['id'].'">Файлов</a>: '.$u_f.'</br>';
}else{$msg.='<b>Пользователь игнорирует вас!</b>';}
$msg .= '</div><div class="new">Функции:</div>';
$msg.='<div class="fon">';
    if ($ya['id'] <> $user['id']){
$sql2 = $db -> query("SELECT * FROM `nuts` WHERE `where`='ignor' and `user`='$user[id]' and `idwh`='$ya[id]' LIMIT 1");
if ($sql2 -> num_rows == 0 and $user['mail']=='0') {
$msg .='»<a href="'.ROOT.'my/mail.php?act=write&id='.$id.'">Написать сообщение</a><br/>';}
$sql = $db -> query("SELECT * FROM `nuts` WHERE `where`='frends' and `user`='$user[id]' and `idwh`='$ya[id]' LIMIT 1");
$s = $sql -> fetch_assoc();
$sqlf2 = $db -> query("SELECT * FROM `nuts` WHERE `user`='$user[id]' and `idwh`='$ya[id]' and `where`='frends' LIMIT 1");
$sqlf = $db -> query("SELECT * FROM `nuts` WHERE `idwh`='$user[id]' and `user`='$ya[id]' and `where`='frends' LIMIT 1");
if ($sqlf -> num_rows == 0) {
$sql2 = $db -> query("SELECT * FROM `nuts` WHERE `where`='ignor' and `idwh`='$user[id]' and `user`='$ya[id]' LIMIT 1");
$s2 = $sql2 -> fetch_assoc();
if ($sql -> num_rows == 0) {
$sqlf = $db -> query("SELECT * FROM `nuts` WHERE `where`='ignor' and `user`='$user[id]' and `idwh`='$ya[id]' LIMIT 1");
if ($sqlf -> num_rows == 0) {
$msg .='»<a href="'.ROOT.'my/friends.php?do=zajav&id='.$id.'">Добавить в друзья</a><br/>';}
}
if ($sql -> num_rows == 0) {
if ($sql2 -> num_rows == 0) {
$msg .='»<a href="'.ROOT.'my/ignors.php?do=zajav&id='.$id.'">Добавить в игнор</a><br/>';
}else{
$msg .='»<a href="'.ROOT.'my/ignors.php?do=delfr&id='.$s2['id'].'">Удалить из игнора</a><br/>';
}}
}
if ($sql -> num_rows != 0) {
$msg .='»<a href="'.ROOT.'my/friends.php?do=delfr&id='.$s['id'].'">Удалить из друзей</a><br/>';
}
}
    if($user['id']!=$ya['id']){
    $ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$user['id']."' LIMIT 1");
if ($ban -> num_rows == 0) {
    if ($ya['level'] > 1){$msg .='»<a href="'.ROOT.'sysadm/?do=ban&id='.$user['id'].'">Забанить</a><br/>';}}
    else{if ($ya['level'] > 1){$msg .='»<a href="'.ROOT.'sysadm/?do=razban&id='.$user['id'].'">Разбанить</a><br/>';}}
    if($ya['level']>4){
    $msg .='»<a href="'.ROOT.'sysadm/?do=del&id='.$user['id'].'">Удалить</a><br/>';}}
    if ($ya['level'] > 3){$msg .='»<a href="'.ROOT.'sysadm/?do=users&mode=anketa&id='.$user['id'].'">Редактировать</a><br/>';}
    if (!empty($user['browser']))if ($ya['level'] > 2){$msg .='»Браузер: '.strtok($user['browser'],' ').'<br/>';}
    $style = $db -> query("SELECT * FROM `styles` where `url`='$user[style]'")->fetch_assoc();
    if (!empty($user['ip']))if ($ya['level'] > 4){$msg .='»IP: '.strtok($user['ip'],' ').'<br/>';}
    if ($ya['level'] > 1){$msg .='»Стиль: '.$style['name'].'<br/>';}
    if ($ya['level'] > 4 and !empty($user['ip'])){$msg .='»Акаунты с таким же IP:<br/>';
$i = $db -> query("SELECT `login`,`id`,`ip`,`browser` FROM `users` where `ip`='$user[ip]' and `id`<>'$user[id]'");
if($i -> num_rows > 0){
while ($ip = $i -> fetch_assoc())
{
$msg.='id'.$ip['id'].')»<a href="id'.$ip['id'].'">'.$ip['login'].'</a> [IP: '.$ip['ip'].'/SOFT: '.strtok($ip['browser'],' ').']</br>';
}
}else{$msg.='Нет акаунтов с таким же IP';}
    }
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="'.ROOT.'index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$diz -> head('Ошибка');
$diz -> title('Ошибка');
$msg.='<div class="fon">';
$msg .='Пользователя с данным ID не существует или он был удалён!';
$msg.='</div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else {
header('location: '.ROOT.'aut.php');
}
?>